Bug 242312 - lang/go-devel: Tracking bug for build failures of USES=go ports on arm64
Summary: lang/go-devel: Tracking bug for build failures of USES=go ports on arm64
Status: New
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Dmitri Goutnik
URL:
Keywords:
Depends on: 247083 247113 242374 242375 242376 242377 242380 242381 242384 242388 242418 242419 242420 242422 242445 242446 242447 242449 242456 242555 242561 242577 242578 242580 242581 242604 242867 242889 243779 243782 243800 243801 243802 243803 243804 243805 243806 243809 243811 243812 243813 243818 243819 243820 244171 244173 244194 244195 244196 244197 244198 244199 244200 244885 245009 245011 245012 245013 245058 245108 245137 245142 245143 245144 245147 245149 245157 245161 245169 245170 245208 245209 245210 245211 245212 245350 245351 245352 245353 245355 245670 247008 247045 247047 247048 247049 247086 247120 247141 247142 247150
Blocks:
  Show dependency treegraph
 
Reported: 2019-11-30 08:35 UTC by Tobias Kortkamp
Modified: 2020-06-10 18:58 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (dmgk)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tobias Kortkamp freebsd_committer 2019-11-30 08:35:05 UTC
98/365 Go ports failed to build on arm64 during the latest package
build: http://thunderx1.nyi.freebsd.org/build.html?mastername=head-arm64-default&build=p518178_s355024

Here's a list with build logs grouped by some very rough error
classes.  I have not tested how much overlap there is with amd64.

-------------------------------------------------------------------------------
# github.com/ssh-vault/ssh-vault/vendor/golang.org/x/sys/unix
vendor/golang.org/x/sys/unix/cap_freebsd.go:18:23: undefined: CAP_RIGHTS_VERSION_00
vendor/golang.org/x/sys/unix/cap_freebsd.go:19:23: undefined: CAP_RIGHTS_VERSION_00
vendor/golang.org/x/sys/unix/cap_freebsd.go:46:21: undefined: CapRights

databases/pgmetrics                   http://thunderx1.nyi.freebsd.org/data/head-arm64-default/p518178_s355024/logs/errors/pgmetrics-1.7.1.log
databases/tile38                      http://thunderx1.nyi.freebsd.org/data/head-arm64-default/p518178_s355024/logs/errors/tile38-1.12.0.log
deskutils/pet                         http://thunderx1.nyi.freebsd.org/data/head-arm64-default/p518178_s355024/logs/errors/pet-0.3.6_1.log
devel/awless                          http://thunderx1.nyi.freebsd.org/data/head-arm64-default/p518178_s355024/logs/errors/awless-0.1.11_1.log
devel/govendor                        http://thunderx1.nyi.freebsd.org/data/head-arm64-default/p518178_s355024/logs/errors/govendor-1.0.9.6_1.log
devel/lab                             http://thunderx1.nyi.freebsd.org/data/head-arm64-default/p518178_s355024/logs/errors/lab-0.16.0.log
devel/modd                            http://thunderx1.nyi.freebsd.org/data/head-arm64-default/p518178_s355024/logs/errors/modd-0.8_1.log
dns/subfinder                         http://thunderx1.nyi.freebsd.org/data/head-arm64-default/p518178_s355024/logs/errors/subfinder-1.2.6_1.log
ftp/curlie                            http://thunderx1.nyi.freebsd.org/data/head-arm64-default/p518178_s355024/logs/errors/curlie-1.2.0_2.log
graphics/jp                           http://thunderx1.nyi.freebsd.org/data/head-arm64-default/p518178_s355024/logs/errors/jp-1.1.12_1.log
misc/cryptoballot                     http://thunderx1.nyi.freebsd.org/data/head-arm64-default/p518178_s355024/logs/errors/cryptoballot-g20181015_1.log
misc/dive                             http://thunderx1.nyi.freebsd.org/data/head-arm64-default/p518178_s355024/logs/errors/dive-0.8.0_1.log
misc/gobuster                         http://thunderx1.nyi.freebsd.org/data/head-arm64-default/p518178_s355024/logs/errors/gobuster-3.0.1_1.log
net-im/xmpp-client                    http://thunderx1.nyi.freebsd.org/data/head-arm64-default/p518178_s355024/logs/errors/xmpp-client-20170324_2.log
net-mgmt/alertmanager                 http://thunderx1.nyi.freebsd.org/data/head-arm64-default/p518178_s355024/logs/errors/alertmanager-0.18.0_1.log
net-mgmt/mysqld_exporter              http://thunderx1.nyi.freebsd.org/data/head-arm64-default/p518178_s355024/logs/errors/mysqld_exporter-0.11.0_1.log
net-mgmt/ping_exporter                http://thunderx1.nyi.freebsd.org/data/head-arm64-default/p518178_s355024/logs/errors/ping_exporter-0.44_1.log
net-mgmt/prometheus-collectd-exporter http://thunderx1.nyi.freebsd.org/data/head-arm64-default/p518178_s355024/logs/errors/prometheus-collectd-exporter-0.4.0_1.log
net-mgmt/unbound_exporter             http://thunderx1.nyi.freebsd.org/data/head-arm64-default/p518178_s355024/logs/errors/unbound_exporter-0.1_3.log
net/bosh-bootloader                   http://thunderx1.nyi.freebsd.org/data/head-arm64-default/p518178_s355024/logs/errors/bosh-bootloader-7.6.0_1.log
net/cf                                http://thunderx1.nyi.freebsd.org/data/head-arm64-default/p518178_s355024/logs/errors/cf-6.44.0.log
net/kube-controller-manager           http://thunderx1.nyi.freebsd.org/data/head-arm64-default/p518178_s355024/logs/errors/kube-controller-manager-1.13.3.log
net/kube-scheduler                    http://thunderx1.nyi.freebsd.org/data/head-arm64-default/p518178_s355024/logs/errors/kube-scheduler-1.13.3.log
net/traefik                           http://thunderx1.nyi.freebsd.org/data/head-arm64-default/p518178_s355024/logs/errors/traefik-1.7.19.log
security/acmetool                     http://thunderx1.nyi.freebsd.org/data/head-arm64-default/p518178_s355024/logs/errors/acmetool-0.0.67.log
security/aws-iam-authenticator        http://thunderx1.nyi.freebsd.org/data/head-arm64-default/p518178_s355024/logs/errors/aws-iam-authenticator-0.4.0.log
security/govpn                        http://thunderx1.nyi.freebsd.org/data/head-arm64-default/p518178_s355024/logs/errors/govpn-7.5_1.log
security/onionscan                    http://thunderx1.nyi.freebsd.org/data/head-arm64-default/p518178_s355024/logs/errors/onionscan-0.2_1.log
security/ssh-vault                    http://thunderx1.nyi.freebsd.org/data/head-arm64-default/p518178_s355024/logs/errors/ssh-vault-0.12.4_1.log
security/vuls                         http://thunderx1.nyi.freebsd.org/data/head-arm64-default/p518178_s355024/logs/errors/vuls-0.6.1.log
shells/antibody                       http://thunderx1.nyi.freebsd.org/data/head-arm64-default/p518178_s355024/logs/errors/antibody-4.2.0_1.log
shells/elvish                         http://thunderx1.nyi.freebsd.org/data/head-arm64-default/p518178_s355024/logs/errors/elvish-0.12_1.log
sysutils/amazon-ssm-agent             http://thunderx1.nyi.freebsd.org/data/head-arm64-default/p518178_s355024/logs/errors/amazon-ssm-agent-2.3.612.0_1.log
sysutils/aptly                        http://thunderx1.nyi.freebsd.org/data/head-arm64-default/p518178_s355024/logs/errors/aptly-1.4.0_1.log
sysutils/beats                        http://thunderx1.nyi.freebsd.org/data/head-arm64-default/p518178_s355024/logs/errors/beats-6.7.1.log
sysutils/docker                       http://thunderx1.nyi.freebsd.org/data/head-arm64-default/p518178_s355024/logs/errors/docker-18.09.5_1.log
sysutils/docker-machine               http://thunderx1.nyi.freebsd.org/data/head-arm64-default/p518178_s355024/logs/errors/docker-machine-0.16.2_1.log
sysutils/hcloud                       http://thunderx1.nyi.freebsd.org/data/head-arm64-default/p518178_s355024/logs/errors/hcloud-1.13.0_1.log
sysutils/kops                         http://thunderx1.nyi.freebsd.org/data/head-arm64-default/p518178_s355024/logs/errors/kops-1.14.0.log
sysutils/serf                         http://thunderx1.nyi.freebsd.org/data/head-arm64-default/p518178_s355024/logs/errors/hashicorp-serf-0.8.3_1.log
sysutils/snmp_exporter                http://thunderx1.nyi.freebsd.org/data/head-arm64-default/p518178_s355024/logs/errors/snmp_exporter-0.14.0_1.log
sysutils/zrepl                        http://thunderx1.nyi.freebsd.org/data/head-arm64-default/p518178_s355024/logs/errors/zrepl-0.1.1_1.log
www/caddy                             http://thunderx1.nyi.freebsd.org/data/head-arm64-default/p518178_s355024/logs/errors/caddy-0.11.5_2.log
www/carbonapi                         http://thunderx1.nyi.freebsd.org/data/head-arm64-default/p518178_s355024/logs/errors/carbonapi-0.11.0.log
www/devd                              http://thunderx1.nyi.freebsd.org/data/head-arm64-default/p518178_s355024/logs/errors/devd-0.9_2.log
www/webhook                           http://thunderx1.nyi.freebsd.org/data/head-arm64-default/p518178_s355024/logs/errors/webhook-2.6.9_1.log

-------------------------------------------------------------------------------
# golang.org/x/sys/unix
vendor/golang.org/x/sys/unix/ztypes_freebsd_arm64.go:400:12: undefined: uint128

devel/etcd33                          http://thunderx1.nyi.freebsd.org/data/head-arm64-default/p518178_s355024/logs/errors/coreos-etcd33-3.3.17_2.log
devel/etcd34                          http://thunderx1.nyi.freebsd.org/data/head-arm64-default/p518178_s355024/logs/errors/coreos-etcd34-3.4.3_1.log
devel/goswagger                       http://thunderx1.nyi.freebsd.org/data/head-arm64-default/p518178_s355024/logs/errors/goswagger-0.21.0_1.log
devel/lazygit                         http://thunderx1.nyi.freebsd.org/data/head-arm64-default/p518178_s355024/logs/errors/lazygit-0.10.4_1.log
dns/amass                             http://thunderx1.nyi.freebsd.org/data/head-arm64-default/p518178_s355024/logs/errors/amass-3.3.1_1.log
dns/coredns                           http://thunderx1.nyi.freebsd.org/data/head-arm64-default/p518178_s355024/logs/errors/coredns-1.6.2_1.log
irc/oragono                           http://thunderx1.nyi.freebsd.org/data/head-arm64-default/p518178_s355024/logs/errors/oragono-1.1.1_1.log
mail/aerc                             http://thunderx1.nyi.freebsd.org/data/head-arm64-default/p518178_s355024/logs/errors/aerc-0.3.0.log
net-im/6cord                          http://thunderx1.nyi.freebsd.org/data/head-arm64-default/p518178_s355024/logs/errors/6cord-9.5_1.log
net-im/matterbridge                   http://thunderx1.nyi.freebsd.org/data/head-arm64-default/p518178_s355024/logs/errors/matterbridge-1.16.0_1.log
net-mgmt/prometheus2                  http://thunderx1.nyi.freebsd.org/data/head-arm64-default/p518178_s355024/logs/errors/prometheus-2.14.0_2.log
net/clash                             http://thunderx1.nyi.freebsd.org/data/head-arm64-default/p518178_s355024/logs/errors/clash-0.16.0_1.log
net/inlets                            http://thunderx1.nyi.freebsd.org/data/head-arm64-default/p518178_s355024/logs/errors/inlets-2.6.1_1.log
net/rclone                            http://thunderx1.nyi.freebsd.org/data/head-arm64-default/p518178_s355024/logs/errors/rclone-1.49.4_1.log
net/syncthing                         http://thunderx1.nyi.freebsd.org/data/head-arm64-default/p518178_s355024/logs/errors/syncthing-1.3.0.log
net/wireguard-go                      http://thunderx1.nyi.freebsd.org/data/head-arm64-default/p518178_s355024/logs/errors/wireguard-go-0.0.20191012.log
net/yggdrasil                         http://thunderx1.nyi.freebsd.org/data/head-arm64-default/p518178_s355024/logs/errors/yggdrasil-0.3.11.log
security/keybase                      http://thunderx1.nyi.freebsd.org/data/head-arm64-default/p518178_s355024/logs/errors/keybase-5.0.0_1.log
security/lego                         http://thunderx1.nyi.freebsd.org/data/head-arm64-default/p518178_s355024/logs/errors/lego-3.2.0.log
security/sops                         http://thunderx1.nyi.freebsd.org/data/head-arm64-default/p518178_s355024/logs/errors/sops-3.5.0.log
security/vault                        http://thunderx1.nyi.freebsd.org/data/head-arm64-default/p518178_s355024/logs/errors/vault-1.2.4.log
sysutils/consul                       http://thunderx1.nyi.freebsd.org/data/head-arm64-default/p518178_s355024/logs/errors/consul-1.6.1.log
sysutils/istio                        http://thunderx1.nyi.freebsd.org/data/head-arm64-default/p518178_s355024/logs/errors/istio-1.3.3.log
sysutils/minikube                     http://thunderx1.nyi.freebsd.org/data/head-arm64-default/p518178_s355024/logs/errors/minikube-1.5.2.log
sysutils/packer                       http://thunderx1.nyi.freebsd.org/data/head-arm64-default/p518178_s355024/logs/errors/packer-1.4.4_1.log
sysutils/siegfried                    http://thunderx1.nyi.freebsd.org/data/head-arm64-default/p518178_s355024/logs/errors/siegfried-1.7.13.log
www/gitea                             http://thunderx1.nyi.freebsd.org/data/head-arm64-default/p518178_s355024/logs/errors/gitea-1.10.0.log
www/gitlab-pages                      http://thunderx1.nyi.freebsd.org/data/head-arm64-default/p518178_s355024/logs/errors/gitlab-pages-1.11.0.log
www/gobuffalo                         http://thunderx1.nyi.freebsd.org/data/head-arm64-default/p518178_s355024/logs/errors/gobuffalo-0.15.1.log
www/gohugo                            http://thunderx1.nyi.freebsd.org/data/head-arm64-default/p518178_s355024/logs/errors/gohugo-0.59.1.log
www/miniflux                          http://thunderx1.nyi.freebsd.org/data/head-arm64-default/p518178_s355024/logs/errors/miniflux-2.0.18.log
www/minio                             http://thunderx1.nyi.freebsd.org/data/head-arm64-default/p518178_s355024/logs/errors/minio-2019.10.12.01.39.57.log
www/minio-client                      http://thunderx1.nyi.freebsd.org/data/head-arm64-default/p518178_s355024/logs/errors/minio-client-2019.10.09.22.54.57.log

-------------------------------------------------------------------------------
# github.com/cjbassi/gotop/src/logging
src/logging/logging_arm64.go:9:2: undefined: syscall.Dup3

sysutils/gotop                        http://thunderx1.nyi.freebsd.org/data/head-arm64-default/p518178_s355024/logs/errors/gotop-3.0.0_1.log

-------------------------------------------------------------------------------
go: inconsistent vendoring

net/madonctl                          http://thunderx1.nyi.freebsd.org/data/head-arm64-default/p518178_s355024/logs/errors/madonctl-2.3.1_7.log
sysutils/go-wtf                       http://thunderx1.nyi.freebsd.org/data/head-arm64-default/p518178_s355024/logs/errors/go-wtf-0.23.0.log

-------------------------------------------------------------------------------
# gitlab.com/gitlab-org/gitlab-runner/vendor/github.com/kr/pty
vendor/github.com/kr/pty/pty_freebsd.go:50:20: undefined: fiodgnameArg
vendor/github.com/kr/pty/pty_freebsd.go:63:12: undefined: _C_SPECNAMELEN
vendor/github.com/kr/pty/pty_freebsd.go:66:9: undefined: fiodgnameArg

devel/gitlab-runner                   http://thunderx1.nyi.freebsd.org/data/head-arm64-default/p518178_s355024/logs/errors/gitlab-runner-12.4.0.log
devel/lazygit                         http://thunderx1.nyi.freebsd.org/data/head-arm64-default/p518178_s355024/logs/errors/lazygit-0.10.4_1.log
devel/liteide                         http://thunderx1.nyi.freebsd.org/data/head-arm64-default/p518178_s355024/logs/errors/liteide-36.2_1.log
editors/micro                         http://thunderx1.nyi.freebsd.org/data/head-arm64-default/p518178_s355024/logs/errors/micro-1.4.1.log
mail/aerc                             http://thunderx1.nyi.freebsd.org/data/head-arm64-default/p518178_s355024/logs/errors/aerc-0.3.0.log
net/concourse-fly                     http://thunderx1.nyi.freebsd.org/data/head-arm64-default/p518178_s355024/logs/errors/concourse-fly-5.2.0.log
sysutils/amazon-ssm-agent             http://thunderx1.nyi.freebsd.org/data/head-arm64-default/p518178_s355024/logs/errors/amazon-ssm-agent-2.3.612.0_1.log
www/gotty                             http://thunderx1.nyi.freebsd.org/data/head-arm64-default/p518178_s355024/logs/errors/gotty-1.0.1_1.log
x11/aminal                            http://thunderx1.nyi.freebsd.org/data/head-arm64-default/p518178_s355024/logs/errors/aminal-0.9.0_1.log

-------------------------------------------------------------------------------
# github.com/immortal/immortal
./scandir.go:69:5: undefined: WatchDir
./scandir.go:72:5: undefined: WatchDir

sysutils/immortal                     http://thunderx1.nyi.freebsd.org/data/head-arm64-default/p518178_s355024/logs/errors/immortal-0.24.0.log

-------------------------------------------------------------------------------
Other: Compiler crashes, bad version checks, aarch64 instead of arm64, ... 

devel/grumpy                          http://thunderx1.nyi.freebsd.org/data/head-arm64-default/p518178_s355024/logs/errors/grumpy-0.0.0.2017112101.log
security/boringssl                    http://thunderx1.nyi.freebsd.org/data/head-arm64-default/p518178_s355024/logs/errors/boringssl-0.0.0.0.2018.10.30.01.log
security/teleport                     http://thunderx1.nyi.freebsd.org/data/head-arm64-default/p518178_s355024/logs/errors/teleport-3.2.2.log
sysutils/consul-alerts                http://thunderx1.nyi.freebsd.org/data/head-arm64-default/p518178_s355024/logs/errors/consul-alerts-0.6.0.log

-------------------------------------------------------------------------------
# golang.org/x/net/internal/socket
vendor/golang.org/x/net/internal/socket/cmsghdr.go:9:10: undefined: cmsghdr
vendor/golang.org/x/net/internal/socket/cmsghdr.go:10:10: undefined: cmsghdr
vendor/golang.org/x/net/internal/socket/cmsghdr.go:11:10: undefined: cmsghdr

dns/subfinder                         http://thunderx1.nyi.freebsd.org/data/head-arm64-default/p518178_s355024/logs/errors/subfinder-1.2.6_1.log
net-mgmt/alertmanager                 http://thunderx1.nyi.freebsd.org/data/head-arm64-default/p518178_s355024/logs/errors/alertmanager-0.18.0_1.log
net-mgmt/ping_exporter                http://thunderx1.nyi.freebsd.org/data/head-arm64-default/p518178_s355024/logs/errors/ping_exporter-0.44_1.log
net/traefik                           http://thunderx1.nyi.freebsd.org/data/head-arm64-default/p518178_s355024/logs/errors/traefik-1.7.19.log
sysutils/beats                        http://thunderx1.nyi.freebsd.org/data/head-arm64-default/p518178_s355024/logs/errors/beats-6.7.1.log
sysutils/consul                       http://thunderx1.nyi.freebsd.org/data/head-arm64-default/p518178_s355024/logs/errors/consul-1.6.1.log
sysutils/node_exporter                http://thunderx1.nyi.freebsd.org/data/head-arm64-default/p518178_s355024/logs/errors/node_exporter-0.18.1.log
sysutils/serf                         http://thunderx1.nyi.freebsd.org/data/head-arm64-default/p518178_s355024/logs/errors/hashicorp-serf-0.8.3_1.log
www/caddy                             http://thunderx1.nyi.freebsd.org/data/head-arm64-default/p518178_s355024/logs/errors/caddy-0.11.5_2.log

-------------------------------------------------------------------------------
# golang.org/x/net/ipv6
vendor/golang.org/x/net/ipv6/icmp.go:37:2: undefined: icmpv6Filter
vendor/golang.org/x/net/ipv6/icmp_bsd.go:9:10: undefined: icmpv6Filter
vendor/golang.org/x/net/ipv6/icmp_bsd.go:13:10: undefined: icmpv6Filter
vendor/golang.org/x/net/ipv6/icmp_bsd.go:17:10: undefined: icmpv6Filter
vendor/golang.org/x/net/ipv6/icmp_bsd.go:27:10: undefined: icmpv6Filter

net-mgmt/blackbox_exporter            http://thunderx1.nyi.freebsd.org/data/head-arm64-default/p518178_s355024/logs/errors/blackbox_exporter-0.15.0_1.log

-------------------------------------------------------------------------------
# github.com/prometheus/prometheus/vendor/golang.org/x/sys/unix
vendor/golang.org/x/sys/unix/flock.go:18:42: undefined: Flock_t
vendor/golang.org/x/sys/unix/sockcmsg_unix.go:36:18: undefined: Cmsghdr
vendor/golang.org/x/sys/unix/sockcmsg_unix.go:42:9: undefined: Cmsghdr
vendor/golang.org/x/sys/unix/sockcmsg_unix.go:63:52: undefined: Cmsghdr

net-mgmt/prometheus1                  http://thunderx1.nyi.freebsd.org/data/head-arm64-default/p518178_s355024/logs/errors/prometheus1-1.8.2_1.log
net/go-bapu                           http://thunderx1.nyi.freebsd.org/data/head-arm64-default/p518178_s355024/logs/errors/go-bapu-0.1.0_2.log
sysutils/paladin                      http://thunderx1.nyi.freebsd.org/data/head-arm64-default/p518178_s355024/logs/errors/paladin-2.0.1.log
Comment 1 Mikael Urankar freebsd_committer 2019-11-30 09:27:38 UTC
Thanks for the triage. How can I get a list of all ports that depend on go-devel?

the "undefined: uint128" error is already fixed upstream: https://github.com/golang/sys/commit/33540a1f603772f9d4b761f416f5c10dade23e96

For the "undefined: CAP_RIGHTS_VERSION_00" error, it seems that the FreeBSD arm64 files are not present (I only checked databases/pgmetrics):
find databases/pgmetrics -type f -name zerrors_freebsd_arm64.go yields nothing.
We'll probably have to bump the golang:sys version

It's probably the same problem with others missing definitions in various ports.

security/teleport: uses an old golang.org/sys without freebsd arm64 bits.

security/boringssl: shouldn't be hard to fix, we already have a fix in chromium (https://svnweb.freebsd.org/ports/head/www/chromium/files/patch-third__party_boringssl_src_crypto_cpu-aarch64-linux.c)
Comment 2 Dmitri Goutnik freebsd_committer 2019-11-30 12:27:58 UTC
(In reply to mikael.urankar from comment #1)
I wrote a small utility for queries like this, https://github.com/dmgk/portgrep.
`portgrep -u go` will return all ports that have USES=go (adding `-o -1` will print origins only, useful for feeding results to poudriere bulk).

Updating dependencies to refer to golang.org/x/sys/unix 33540a1f6037 or later and golang.org/x/net 83d349e8ac1a or later should fix most of these failures. I'll start looking at others next week (been a bit swamped at $work lately).
Comment 3 commit-hook freebsd_committer 2019-12-02 22:54:50 UTC
A commit references this bug:

Author: tobik
Date: Mon Dec  2 22:54:19 UTC 2019
New revision: 518883
URL: https://svnweb.freebsd.org/changeset/ports/518883

Log:
  mail/aerc: Unbreak on arm64

  # git.sr.ht/~sircmpwn/pty
  vendor/git.sr.ht/~sircmpwn/pty/pty_freebsd.go:50:20: undefined: fiodgnameArg
  vendor/git.sr.ht/~sircmpwn/pty/pty_freebsd.go:63:12: undefined: _C_SPECNAMELEN
  vendor/git.sr.ht/~sircmpwn/pty/pty_freebsd.go:66:9: undefined: fiodgnameArg
  # golang.org/x/sys/unix
  vendor/golang.org/x/sys/unix/ztypes_freebsd_arm64.go:400:12: undefined: uint128

  http://thunderx1.nyi.freebsd.org/data/head-arm64-default/p518178_s355024/logs/errors/aerc-0.3.0.log

  Unbreak by updating golang.org/x/sys to 33540a1f6037 which adds
  support for FreeBSD arm64 and generating the missing
  git.sr.ht/~sircmpwn/pty/ztypes_freebsd_arm64.go.

  PR:		242312

Changes:
  head/mail/aerc/Makefile
  head/mail/aerc/distinfo
Comment 4 commit-hook freebsd_committer 2019-12-02 23:05:52 UTC
A commit references this bug:

Author: tobik
Date: Mon Dec  2 23:05:21 UTC 2019
New revision: 518884
URL: https://svnweb.freebsd.org/changeset/ports/518884

Log:
  sysutils/siegfried: Unbreak on arm64

  # golang.org/x/sys/unix
  vendor/golang.org/x/sys/unix/ztypes_freebsd_arm64.go:400:12: undefined: uint128

  http://thunderx1.nyi.freebsd.org/data/head-arm64-default/p518178_s355024/logs/errors/siegfried-1.7.13.log

  PR:		242312

Changes:
  head/sysutils/siegfried/files/
  head/sysutils/siegfried/files/patch-vendor_golang.org_x_sys_unix_ztypes__freebsd__arm64.go
Comment 5 commit-hook freebsd_committer 2019-12-08 10:31:16 UTC
A commit references this bug:

Author: tobik
Date: Sun Dec  8 10:30:33 UTC 2019
New revision: 519286
URL: https://svnweb.freebsd.org/changeset/ports/519286

Log:
  sysutils/immortal: Unbreak build on arm64

  ./scandir.go:69:5: undefined: WatchDir
  ./scandir.go:72:5: undefined: WatchDir
  ./scandir.go:172:12: undefined: WatchFile
  ./scandir.go:176:11: undefined: WatchFile
  ./supervise.go:158:12: s.daemon.WatchPid undefined (type *Daemon has no field or method WatchPid)

  http://thunderx1.nyi.freebsd.org/data/head-arm64-default/p518178_s355024/logs/errors/immortal-0.24.0.log

  https://github.com/immortal/immortal/pull/55

  PR:		242312

Changes:
  head/sysutils/immortal/Makefile
  head/sysutils/immortal/distinfo
Comment 6 Tobias Kortkamp freebsd_committer 2019-12-08 10:43:32 UTC
> # gitlab.com/gitlab-org/gitlab-runner/vendor/github.com/kr/pty
> vendor/github.com/kr/pty/pty_freebsd.go:50:20: undefined: fiodgnameArg
> vendor/github.com/kr/pty/pty_freebsd.go:63:12: undefined: _C_SPECNAMELEN
> vendor/github.com/kr/pty/pty_freebsd.go:66:9: undefined: fiodgnameArg

PR to fix it upstream: https://github.com/creack/pty/pull/87
Comment 8 Dmitri Goutnik freebsd_committer 2019-12-11 13:06:44 UTC
net/yggdrasil: https://github.com/yggdrasil-network/yggdrasil-go/pull/635
Comment 9 Tobias Kortkamp freebsd_committer 2019-12-16 04:30:51 UTC
sysutils/istio fixed in ports r520194
sysutils/kubectl fixed in ports r520195
Comment 10 commit-hook freebsd_committer 2019-12-16 08:21:42 UTC
A commit references this bug:

Author: tobik
Date: Mon Dec 16 08:21:14 UTC 2019
New revision: 520229
URL: https://svnweb.freebsd.org/changeset/ports/520229

Log:
  www/gitea: Unbreak on arm64

  # golang.org/x/sys/unix
  vendor/golang.org/x/sys/unix/ztypes_freebsd_arm64.go:400:12: undefined: uint128

  PR:		242312

Changes:
  head/www/gitea/files/patch-vendor_golang.org_x_sys_unix_ztypes__freebsd__arm64.go
Comment 11 commit-hook freebsd_committer 2019-12-25 19:27:11 UTC
A commit references this bug:

Author: dmgk
Date: Wed Dec 25 19:26:42 UTC 2019
New revision: 520883
URL: https://svnweb.freebsd.org/changeset/ports/520883

Log:
  www/gohugo: Update to 0.62.0, unbreak on aarch64

  - Update to 0.62.0

  - Unbreak on aarch64:

  # golang.org/x/sys/unix
  vendor/golang.org/x/sys/unix/ztypes_freebsd_arm64.go:400:12: undefined: uint128

  Unbreak by updating golang.org/x/sys to 33540a1f6037 which adds support for
  freebsd/arm64. Upstream PR: https://github.com/gohugoio/hugo/pull/6671

  Changes:	https://github.com/gohugoio/hugo/releases/tag/v0.62.0
  PR:		242882, 242312
  Submitted by:	ben.lavery@hashbang0.com (maintainer)

Changes:
  head/www/gohugo/Makefile
  head/www/gohugo/distinfo
Comment 12 Dmitri Goutnik freebsd_committer 2019-12-27 13:55:30 UTC
devel/dep fixed in ports r520990
Comment 13 commit-hook freebsd_committer 2019-12-28 16:29:08 UTC
A commit references this bug:

Author: dmgk
Date: Sat Dec 28 16:28:44 UTC 2019
New revision: 521222
URL: https://svnweb.freebsd.org/changeset/ports/521222

Log:
  devel/liteide: Unbreak on aarch64

  http://thunderx1.nyi.freebsd.org/data/head-arm64-default/p520537_s355573/logs/errors/liteide-36.2_1.log

  # github.com/kr/pty
  vendor/github.com/kr/pty/pty_freebsd.go:50:20: undefined: fiodgnameArg
  vendor/github.com/kr/pty/pty_freebsd.go:63:12: undefined: _C_SPECNAMELEN
  vendor/github.com/kr/pty/pty_freebsd.go:66:9: undefined: fiodgnameArg

  The fix was merged by upstream as https://github.com/visualfc/gotools/pull/12

  PR:		242312

Changes:
  head/devel/liteide/Makefile
  head/devel/liteide/distinfo
Comment 14 commit-hook freebsd_committer 2020-02-17 13:02:34 UTC
A commit references this bug:

Author: dmgk
Date: Mon Feb 17 13:02:23 UTC 2020
New revision: 526369
URL: https://svnweb.freebsd.org/changeset/ports/526369

Log:
  devel/awless: Unbreak on aarch64

  - Unbreak by pulling in golang.org/x/sys@33540a1f6037 required for aarch64
  - Pet portclippy while here

  PR:		242312

Changes:
  head/devel/awless/Makefile
  head/devel/awless/distinfo